Ada Reference Manual (Ada 2022) — Legal Information

# J.15.1 Pragma Inline

#### Syntax

1/3
The form of a pragma Inline, which is a program unit pragma (see 10.1.5), is as follows:
2/3
pragma Inline (name{, name});

#### Legality Rules

3/3
The pragma shall apply to one or more callable entities or generic subprograms.

#### Static Semantics

4/3
Pragma Inline specifies that the Inline aspect (see 6.3.2) for each entity denoted by each name given in the pragma has the value True.

#### Implementation Permissions

5/3
An implementation may allow a pragma Inline that has an argument which is a direct_name denoting a subprogram_body of the same declarative_part.
6/5
NOTE The name in a pragma Inline can denote more than one entity in the case of overloading. Such a pragma applies to all of the denoted entities.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe